package com.bcxin.ars.dto.task;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.task.Task;
import com.bcxin.ars.model.task.TaskType;

import java.util.List;

/**
 * Created by Administrator on 2017/8/8.
 */
public class TaskListDto{
    /**
     *
     */
    private long personId;


    /**
     * 周期，排班
     */
    private boolean isPeat;

    public boolean isPeat() {
        return isPeat;
    }

    public void setPeat(boolean peat) {
        isPeat = peat;
    }

    /**
     * 任务类型
     */
    private TaskType taskType;

    public TaskType getTaskType() {
        return taskType;
    }

    public void setTaskType(TaskType taskType) {
        this.taskType = taskType;
    }

    /**
     * 任务ID
     */
    private long taskId;
    /**
     * 接收日期
     */
    private String accepDate;

    /**
     * 发布日期
     */
    private String startDate;

    /**
     *下一班次
     */
    private String nextScheduleDate;

    /**
     *完成日期
     */
    private String finishDate;

    /**
     *任务日期
     */
    private String startdateEnddate;

    /**
     *任务状态
     */
    private String taskStatus;

    /**
     *执行中
     */
    private String countdownTime;

    /**
     *即将开始
     */
    private String beginTime;

    /**
     *以完成
     */
    private String countTime;

    /**
     * 任务详情
     */
    private String taskDetail;

    /**
     *任务名称
     */
    private String taskName;

    /**
     *任务地址
     */
    private String address;

    
	/**当前任务状态(非数据库字段)*/
	private String currentTaskStatus;//1:正在执行,2:已完成,3:已结束,4:新任务,5:即将进行

    public long getPersonId() {
        return personId;
    }

    public void setPersonId(long personId) {
        this.personId = personId;
    }

    public long getTaskId() {
        return taskId;
    }

    public void setTaskId(long taskId) {
        this.taskId = taskId;
    }

    public String getAccepDate() {
        return accepDate;
    }

    public void setAccepDate(String accepDate) {
        this.accepDate = accepDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getNextScheduleDate() {
        return nextScheduleDate;
    }

    public void setNextScheduleDate(String nextScheduleDate) {
        this.nextScheduleDate = nextScheduleDate;
    }

    public String getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(String finishDate) {
        this.finishDate = finishDate;
    }

    public String getStartdateEnddate() {
        return startdateEnddate;
    }

    public void setStartdateEnddate(String startdateEnddate) {
        this.startdateEnddate = startdateEnddate;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getCountdownTime() {
        return countdownTime;
    }

    public void setCountdownTime(String countdownTime) {
        this.countdownTime = countdownTime;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getCountTime() {
        return countTime;
    }

    public void setCountTime(String countTime) {
        this.countTime = countTime;
    }

    public String getTaskDetail() {
        return taskDetail;
    }

    public void setTaskDetail(String taskDetail) {
        this.taskDetail = taskDetail;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

	public String getCurrentTaskStatus() {
		return currentTaskStatus;
	}

	public void setCurrentTaskStatus(String currentTaskStatus) {
		this.currentTaskStatus = currentTaskStatus;
	}
    
    
}
